/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomComment_H__
#define __GdomComment_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCharacterData.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomComment GdomComment;
typedef struct _GdomCommentClass GdomCommentClass;


#define GDOM_TYPE_COMMENT            (gdom_comment_get_type())
#define GDOM_COMMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_COMMENT, GdomComment))
#define GDOM_COMMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_COMMENT, GdomComment)Class)
#define GDOM_IS_COMMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_COMMENT))
#define GDOM_IS_COMMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_COMMENT))
#define GDOM_COMMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_COMMENT, GdomCommentClass))

typedef struct _GdomCommentPrivate GdomCommentPrivate;

struct _GdomComment {
    GdomCharacterData parent_instance;
    GdomCommentPrivate *priv;
};

struct _GdomCommentClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_comment_get_type (void);

G_END_DECLS

#endif /* __GdomComment_H__ */
